
volatile int nbEncochesDr = 0;
volatile int nbEncochesGa = 0;

void setup() {

  Serial.begin(115200);
  attachInterrupt(0,FrontCapteurDroit,CHANGE);
  attachInterrupt(1,FrontCapteurGauche,CHANGE) ;

}

void loop(){
  Serial.print("cote droit (moteur gauche du robot) = ");
  Serial.println(nbEncochesDr);
  Serial.print("cote gauche (moteur droit du robot) = ");
  Serial.println(nbEncochesGa);
delay(200);
  

}

void FrontCapteurDroit() 
{  // attention il faut tester l'ordre de detection pour definir le sens des roues

  uint8_t E4 = PINE & (1<<PE4);
  uint8_t G5 = PING & (1<<PG5);

  if (E4 ==0)                   // ici le capteur droit est associe a 2 et 4 pour eme1 et eme2
  { 
    if (G5 ==0) nbEncochesDr-- ;
    else nbEncochesDr++ ;
  }
  else
  {
    if (G5 ==0) nbEncochesDr++ ;
    else nbEncochesDr-- ;
  }
}

void FrontCapteurGauche() {                     // idem avec 3 et 5

  uint8_t E3 = PINE & (1<<PE3);
  uint8_t E5 = PINE & (1<<PE5);

  if (E3 ==0)                   // ici le capteur droit est associe a 2 et 4 pour eme1 et eme2
  { 
    if (E5 ==0) nbEncochesGa-- ;
    else nbEncochesGa++ ;
  }
  else
  {
    if (E5 ==0) nbEncochesGa++ ;
    else nbEncochesGa-- ;
  }
}





